@ECHO OFF

rem Install script for Pere dictionary sources in CSV format (UTF-8 only).
rem 
rem VERSION: 0.2.0
rem 
rem Copyright (C) 2006 Valentyn Solomko, All Rights Reserved.
rem Distributed under the terms of the GNU General Public License v2

IF "%1"==""  GOTO  NOPFX
IF NOT EXIST %2 GOTO  BADCSV
	ECHO Generating dictionary

	IF NOT EXIST %1 MKDIR %1

	pere-src2dic.bat -pfx="%1" -csv="%2" -ovr
	pere-confupd.bat -rut="%1"

	GOTO DONE

:NOPFX
	ECHO Using: install.bat "dictionary prefix" "inputfile"
	ECHO where
	ECHO 	"dictionary prefix" is path to pere database directory
	ECHO 	"inputfile" is name of Pere dictionary in CSV (UTF-8 only)"
	ECHO -----------------------------------------------------------
	ECHO pere dictionaries available here 
	ECHO 	http://pere.org.ua/ (project page)
	ECHO 	http://sourceforge.net/project/showfiles.php?group_id=81231 (download page)

	GOTO DONE
:BADCSV
	ECHO Error: CSV file "%1" not found

	GOTO DONE
:DONE
